# PokemonReviveModifierType | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonReviveModifierType

#### Hierarchy (view full)

- PokemonHpRestoreModifierType
  - PokemonReviveModifierType

- Defined in src/modifier/modifier-type.ts:261

#####
Index

### Constructors

constructor

### Properties

generatorId
group
healStatus
iconImage
id
localeKey
newModifierFunc
restorePercent
restorePoints
selectFilter
soundName
tier

### Accessors

name

### Methods

getDescription
getOrInferTier
newModifier
setTier
withIdFromFunc

## Constructors

### constructor

- new PokemonReviveModifierType(localeKey, iconImage, restorePercent): PokemonReviveModifierType

- #### Parameters

  - localeKey: string
  - iconImage: string
  - restorePercent: number

  #### Returns PokemonReviveModifierType

  Overrides PokemonHpRestoreModifierType.constructor

  - Defined in src/modifier/modifier-type.ts:262

## Properties

### generatorId

generatorId: string

Inherited from PokemonHpRestoreModifierType.generatorId

- Defined in src/modifier/modifier-type.ts:47

### group

group: string

Inherited from PokemonHpRestoreModifierType.group

- Defined in src/modifier/modifier-type.ts:50

### `Protected` healStatus

healStatus: boolean

Inherited from PokemonHpRestoreModifierType.healStatus

- Defined in src/modifier/modifier-type.ts:233

### iconImage

iconImage: string

Inherited from PokemonHpRestoreModifierType.iconImage

- Defined in src/modifier/modifier-type.ts:49

### id

id: string

Inherited from PokemonHpRestoreModifierType.id

- Defined in src/modifier/modifier-type.ts:46

### localeKey

localeKey: string

Inherited from PokemonHpRestoreModifierType.localeKey

- Defined in src/modifier/modifier-type.ts:48

### `Protected` newModifierFunc

newModifierFunc: NewModifierFunc

Inherited from PokemonHpRestoreModifierType.newModifierFunc

- Defined in src/modifier/modifier-type.ts:53

### `Protected` restorePercent

restorePercent: number

Inherited from PokemonHpRestoreModifierType.restorePercent

- Defined in src/modifier/modifier-type.ts:232

### `Protected` restorePoints

restorePoints: number

Inherited from PokemonHpRestoreModifierType.restorePoints

- Defined in src/modifier/modifier-type.ts:231

### selectFilter

selectFilter: PokemonSelectFilter

Inherited from PokemonHpRestoreModifierType.selectFilter

- Defined in src/modifier/modifier-type.ts:200

### soundName

soundName: string

Inherited from PokemonHpRestoreModifierType.soundName

- Defined in src/modifier/modifier-type.ts:51

### tier

tier: ModifierTier

Inherited from PokemonHpRestoreModifierType.tier

- Defined in src/modifier/modifier-type.ts:52

## Accessors

### name

- get name(): string

- #### Returns string

  Inherited from PokemonHpRestoreModifierType.name

  - Defined in src/modifier/modifier-type.ts:63

## Methods

### getDescription

- getDescription(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  Overrides PokemonHpRestoreModifierType.getDescription

  - Defined in src/modifier/modifier-type.ts:279

### getOrInferTier

- getOrInferTier(poolType?): ModifierTier

- #### Parameters

  - poolType: ModifierPoolType = ModifierPoolType.PLAYER

  #### Returns ModifierTier

  Inherited from PokemonHpRestoreModifierType.getOrInferTier

  - Defined in src/modifier/modifier-type.ts:75

### newModifier

- newModifier(...args): Modifier

- #### Parameters

  - `Rest` ...args: any[]

  #### Returns Modifier

  Inherited from PokemonHpRestoreModifierType.newModifier

  - Defined in src/modifier/modifier-type.ts:117

### setTier

- setTier(tier): void

- #### Parameters

  - tier: ModifierTier

  #### Returns void

  Inherited from PokemonHpRestoreModifierType.setTier

  - Defined in src/modifier/modifier-type.ts:71

### withIdFromFunc

- withIdFromFunc(func): ModifierType

- #### Parameters

  - func: ModifierTypeFunc

  #### Returns ModifierType

  Inherited from PokemonHpRestoreModifierType.withIdFromFunc

  - Defined in src/modifier/modifier-type.ts:112